/**
 * create by robot 
 * date Tue Sep 10 15:03:55 CST 2019 
 */ 

$(document).ready(function(){
	//form表单样式
	layui.use(['layer', 'form'], function() {
		var layer = layui.layer,
			form = layui.form;
		form.render();
	});
	//li 切换事件
	$(".nav-tabs>li").click(function() {
		var index = $(".nav-tabs>li").index(this);
		$(this).addClass("active").siblings("li").removeClass("active");
		
	})
	//弹出一个提示层
	$('.fa-save').on('click', function() {
		saveUserOrgan();
	});

	//绑定标签栏事件
	$(document).on('click','.nav-tabs li',function(){

		var action =$(this).data('action');
		 switch (action) {
			case "base"://基本资料
				goBase();
				break;  
			case "functions"://多功能
				goFunctions();
				break;
			case "extends"://扩展    
				goExtends();         
				break;           
		 }
	})

	//加载第一个标签
	$('.nav-tabs li').eq(0).click();
	
});


//跳转基本信息 
function goBase(){
	var url=ctx+'/userOrgan/queryUserOrganBaseInfo?id='+$('#userOrganId').val();
	$('.tab-content').load(url);
	              
}
//跳转多功能输入
function goFunctions(){ 
	var url=ctx+'/userOrgan/queryUserOrganFunctionsInfo?id='+$('#userOrganId').val();
	$('.tab-content').load(url);  
	
}
//跳转到扩展   
function goExtends(){
	
	var url=ctx+'/userOrgan/queryUserOrganExtendsInfo?id='+$('#userOrganId').val();
	$('.tab-content').load(url);          
}  
  

 
//保存
function saveUserOrgan(){
	 
	$(".fa-save").attr("disabled","disabled");
	$('.fa-save').html('正在保存...')
	$.ajax({
		url:ctx+"/userOrgan/saveUserOrgan",
		type:"POST",
		dataType:'json',
		data:$("#data_form").serializeArray(),
		complete:function(){
			$(".fa-save").removeAttr("disabled");
			$('.fa-save').html('保存')
		},        
		success:function(service){ 
		
			layer.confirm('保存成功,是否前往列表？', {
				  btn: ['确认','取消'] //按钮
				}, function(){
					$('#goback span').trigger('click'); 
				}, function(){         
					layer.closeAll();
			});  
			
		}
	});  
}
 

